columns:
  adresse:
    type: text
    default: "''::text"
  bic:
    type: text
    default: "''::text"
  cedex:
    type: text
    default: "''::text"
  code:
    type: text
    default: "''::character varying"
  code_cahpp:
    type: text
    default: "''::text"
  code_comptable:
    type: text
    default: "''::text"
  code_edi:
    type: text
    default: "''::text"
  code_original:
    type: text
    not_null: NOT NULL
  code_postal_id:
    type: bigint
    default: "0"
  email:
    type: text
    default: "''::text"
  fax:
    type: text
    default: "''::text"
  fournisseur_distributeur_id:
    type: bigint
    default: "0"
  fournisseur_reference_cacic_code:
    type: text
    default: "''::text"
  fournisseur_reference_cacic_id:
    type: bigint
    default: "0"
  fournisseur_reference_cacic_section_code:
    type: 'text[]'
  fournisseur_reference_cacic_section_id:
    type: 'bigint[]'
  fournisseur_reference_cacic_section_texte:
    type: 'text[]'
  fournisseur_reference_cacic_texte:
    type: text
    default: "''::text"
  fournisseur_reference_cti_code:
    type: text
    default: "''::text"
  fournisseur_reference_cti_id:
    type: bigint
    default: "0"
  fournisseur_reference_cti_section_code:
    type: 'text[]'
  fournisseur_reference_cti_section_id:
    type: 'bigint[]'
  fournisseur_reference_cti_section_texte:
    type: 'text[]'
  fournisseur_reference_cti_texte:
    type: text
    default: "''::text"
  fusionner_vers_fournisseur_id:
    type: bigint
    default: "0"
  iban:
    type: text
    default: "''::text"
  oid:
    type: bigint
    not_null: NOT NULL
    default: "nextval('s_fournisseurs'::regclass)"
  section1_code:
    type: character varying(10)
    default: "''::character varying"
  section1_id:
    type: bigint
    default: "0"
  section1_texte:
    type: character varying(255)
    default: "''::character varying"
  section2_code:
    type: character varying(10)
    default: "''::character varying"
  section2_id:
    type: bigint
    default: "0"
  section2_texte:
    type: character varying(255)
    default: "''::character varying"
  section3_code:
    type: character varying(10)
    default: "''::character varying"
  section3_id:
    type: bigint
    default: "0"
  section3_texte:
    type: character varying(255)
    default: "''::character varying"
  section_code:
    type: 'text[]'
  section_id:
    type: 'bigint[]'
  section_texte:
    type: 'text[]'
  siret:
    type: text
    default: "''::text"
  telephone:
    type: text
    default: "''::text"
  texte:
    type: text
  texte_court:
    type: text
  type_code:
    type: character varying(30)
    default: "''::character varying"
  type_id:
    type: bigint
  type_section1_code:
    type: character varying(10)
    default: "''::character varying"
  type_section1_id:
    type: bigint
    default: "0"
  type_section1_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section2_code:
    type: character varying(10)
    default: "''::character varying"
  type_section2_id:
    type: bigint
    default: "0"
  type_section2_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section3_code:
    type: character varying(10)
    default: "''::character varying"
  type_section3_id:
    type: bigint
    default: "0"
  type_section3_texte:
    type: character varying(255)
    default: "''::character varying"
  type_section_code:
    type: 'text[]'
  type_section_id:
    type: 'bigint[]'
  type_section_texte:
    type: 'text[]'
  type_texte:
    type: character varying(250)
  ville:
    type: text
    default: "''::text"
constraints:
  t_fournisseurs_pkey:
    type: PRIMARY KEY
    column: oid
  t_fournisseurs_ukey:
    type: UNIQUE
    column: code_original
indexes:
  i_fournisseurs_fournisseur_reference_cacic_id:
    column: fournisseur_reference_cacic_id
    method: btree
  i_fournisseurs_fournisseur_reference_cacic_section_id1:
    column: '(fournisseur_reference_cacic_section_id[1])'
    method: btree
  i_fournisseurs_fournisseur_reference_cacic_section_id2:
    column: '(fournisseur_reference_cacic_section_id[2])'
    method: btree
  i_fournisseurs_fournisseur_reference_cacic_section_id3:
    column: '(fournisseur_reference_cacic_section_id[3])'
    method: btree
  i_fournisseurs_fournisseur_reference_cti_id:
    column: fournisseur_reference_cti_id
    method: btree
  i_fournisseurs_fournisseur_reference_cti_section_id1:
    column: '(fournisseur_reference_cti_section_id[1])'
    method: btree
  i_fournisseurs_fournisseur_reference_cti_section_id2:
    column: '(fournisseur_reference_cti_section_id[2])'
    method: btree
  i_fournisseurs_fournisseur_reference_cti_section_id3:
    column: '(fournisseur_reference_cti_section_id[3])'
    method: btree
  i_fournisseurs_oid:
    column: oid
    method: btree
  i_fournisseurs_section_id1:
    column: '(section_id[1])'
    method: btree
  i_fournisseurs_section_id2:
    column: '(section_id[2])'
    method: btree
  i_fournisseurs_section_id3:
    column: '(section_id[3])'
    method: btree
  i_fournisseurs_type_id:
    column: type_id
    method: btree
  i_fournisseurs_type_section_id1:
    column: '(type_section_id[1])'
    method: btree
  i_fournisseurs_type_section_id2:
    column: '(type_section_id[2])'
    method: btree
  i_fournisseurs_type_section_id3:
    column: '(type_section_id[3])'
    method: btree